/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file    stm32f1xx_it.h
  * @brief   This file contains the headers of the interrupt handlers.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2019 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under BSD 3-Clause license,
  * the "License"; You may not use this file except in compliance with the
  * License. You may obtain a copy of the License at:
  *                        opensource.org/licenses/BSD-3-Clause
  *
 ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __STM32F1xx_IT_H
#define __STM32F1xx_IT_H

#ifdef __cplusplus
 extern "C" {
#endif 

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */
#include <stdbool.h>
/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */
 typedef enum{tmr_1ms = 0, TIMER_1MS_END} eTimer_1ms;
 //extern eTimer_1ms;

 typedef enum{tmr_10ms = 0, timer_blink_led, timer_tm1638_wait, TIMER_10MS_END} eTimer_10ms;
 //extern eTimer_10ms;

#ifdef _STM32F1XX_IT_C_
#define E_EXTERN_STM32_IT
#else
#define E_EXTERN_STM32_IT extern
#endif

 E_EXTERN_STM32_IT uint32_t getTimer1ms(eTimer_1ms timer);
 E_EXTERN_STM32_IT void setTimer1ms(eTimer_1ms timer, uint32_t time);
 E_EXTERN_STM32_IT bool isTimer1msUp(eTimer_1ms timer);
 E_EXTERN_STM32_IT uint32_t getTimer10ms(eTimer_10ms timer);
 E_EXTERN_STM32_IT void setTimer10ms(eTimer_10ms timer, uint32_t time);
 E_EXTERN_STM32_IT bool isTimer10msUp(eTimer_10ms timer);
/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void NMI_Handler(void);
void HardFault_Handler(void);
void MemManage_Handler(void);
void BusFault_Handler(void);
void UsageFault_Handler(void);
void SVC_Handler(void);
void DebugMon_Handler(void);
void PendSV_Handler(void);
void SysTick_Handler(void);
void TIM3_IRQHandler(void);
/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

#ifdef __cplusplus
}
#endif

#endif /* __STM32F1xx_IT_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
